From 35f07dbdf855900f09080cb335cf5ebdf3af4a09 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 07 2021 21:38:01 +0000
Subject: [PATCH 2090/2232] Avoid wrapping error message across source lines


This makes the source of the message easier to locate for someone using
grep with the full message.

The Linux kernel coding style follows the same approach:
https://www.kernel.org/doc/html/v5.10/process/coding-style.html#breaking-long-lines-and-strings

> never break user-visible strings such as printk messages because that
> breaks the ability to grep for them.

---

diff --git a/syntax/check.rs b/syntax/check.rs
index 6228734..2aefbdf 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -383,9 +383,7 @@ fn check_api_fn(cx: &mut Check, efn: &ExternFn) {
                 false => "",
             };
             let msg = format!(
-                "unnamed receiver type is only allowed if the surrounding \
-                 extern block contains exactly one extern type; \
-                 use `self: &{mutability}TheType`",
+                "unnamed receiver type is only allowed if the surrounding extern block contains exactly one extern type; use `self: &{mutability}TheType`",
                 mutability = mutability,
             );
             cx.error(span, msg);

